Name:           scw
Version:        2.5.4
Release:        1%{?dist}
Summary:        Scaleway CLI

License:        Apache License 2.0
URL:            https://github.com/scaleway/scaleway-cli
Source0:        https://github.com/scaleway/scaleway-cli/archive/refs/tags/v%{version}.tar.gz

%if 0%{?suse_version}
BuildRequires: go git
%else
BuildRequires:  golang git
%endif

Provides:       %{name} = %{version}

%description
Scaleway CLI

%global debug_package %{nil}

%prep
%autosetup -n scaleway-cli-%{version}


%build
export CGO_ENABLED=0
LDFLAGS="-w -extldflags -static -X main.Version=%{version}"
GOPROXY=direct GOOS=linux GOARCH=amd64 go build -ldflags "${LDFLAGS}" -o %{name} cmd/scw/main.go


%install
install -Dpm 0755 %{name} %{buildroot}%{_bindir}/%{name}


%files
%{_bindir}/%{name}


%changelog
* Mon Jul 04 2022 Scaleway Devtools <opensource@scaleway.com> - 2.5.4
- 2ae28a0786517fe08dc0a56d2c7a80b8e5775a3e: feat(iam): add iam commands with beta flag (#2378) (@Codelax)
- f971117904dc9e56c39205ca624d590cf5792b02: feat(redis): add support for fr-par-1 and nl-ams-1 (#2359) (@scaleway-bot)
- 364f6488e5ad8f3924c30a3aee4f0e0af2db171d: fix(server_create): pass down error on bad image label (#2370) (@Codelax)
- 95f1c19e178fbb2e615891cf0f9dd8e7696e245e: docs(iam): specify fields limits (#2394) (@scaleway-bot)
- 691bf24bb49ee3f206af459125657b9aed6537a8: bump: sdk-go with fix custom_security_group type and update goldens (#2357) (@Monitob)
